/*
 ** Module   : WsClient.java
 ** Abstract : A WebSocket p2j client contract.
 **
 ** Copyright (c) 2009-2013, Golden Code Development Corporation.
 ** ALL RIGHTS RESERVED. Use is subject to license terms.
 **
 **         Golden Code Development Corporation
 **                 CONFIDENTIAL
 **
 ** -#- -I- --Date-- ----------------------Description--------------------------
 ** 001 MAG 20131105 First version based on jetty 9.1 web sockets
 */

package com.goldencode.p2j.ws;

import com.goldencode.p2j.cfg.*;

/**
 * A Web Socket P2J client contract.
 *  
 * @author mag
 *
 */
public interface WsClient
{
 
   /**
    * Embedded jetty server startup.
    *  
    * @param   config
    *          BootstrapConfig a bootstrap configuration structure.
    * 
    * @throws  Exception
    *          If an error condition occur during the server startup.  
    */
   
   void startup(BootstrapConfig config) throws Exception;

   /**
    * Embedded jetty server shutdown.
    *  
    * @throws  Exception
    *          If an error condition occur during the server shutdown.  
    */
   void shutdown() throws Exception;
}
